Subject: 28.1; SRFI-62 (symbolic comments) in elisp

From: "Trent W. Buck" <[email-masked]>
Date: Wed, 21 Sep 2022 15:21:26 +1000

I want this, in elisp:

    https://srfi.schemers.org/srfi-62/srfi-62.html

Probably someone already asked, but
I couldn't find any existing discussion.

Instead of C-M-SPC M-; to comment out something,
you can just insert #;

Probably the reader macro part is easy, but
the syntax highlighting is a real pain?

Common Lisp had a reader macro for conditional read, like
#+(sbcl clisp) and #-(abcl).
I think you could abuse that as a symbolic comment using #+nil?
I don't know if cl-macs.el has brought that over to elisp.